
module Sigali_property =
   pragmas 
      Comment " Sigali predefined library : expression of the properties "
   end pragmas

   type setOfStates = boolean;
   function B_True =
        ( ? boolean A;
          ! setOfStates PROP;
        )
%          spec (| A ^= PROP |)      %
      pragmas
          Sigali "&o1: &n(S,&i1);"
         Comment "Will compute the set of states where boolean A is true"
      end pragmas

   %B_True%; 
   function B_False =
        ( ? boolean A;
          ! setOfStates PROP;
        )
      pragmas 
        Sigali "&o1: &n(S,&i1);"
        Comment "Compute  the set of states where boolean A is false"
      end pragmas

   %B_False%; 
   process B_Absent =
        ( ? boolean A;
          ! setOfStates PROP;
        )
      pragmas 
          Sigali "&o1: &n(S, &i1);"
         Comment "Compute  the set of states where the boolean  A is absent"
      end pragmas

   %B_Absent%; 

end;
